halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions
hal::BottomSegmentType< RawH5ExternalArray > Struct Reference

`#include <hdf5BottomSegmentType.h>`

List of all members.

## Public Types

typedef ArrayTraits < RawH5ExternalArray > ::size_type | size_type
typedef ArrayTraits < RawH5ExternalArray > ::index_type | index_type
typedef ArrayTraits < RawH5ExternalArray > ::bool_type | bool_type
typedef ArrayTraits < RawH5ExternalArray > ::h5index_type | h5index_type
typedef ArrayTraits < RawH5ExternalArray > ::h5bool_type | h5bool_type

## Static Public Member Functions

static H5::CompType | getTypeInfo (size_type numChildren)
static size_type | getGenomeIndexOffset ()
static size_type | getLengthOffset ()
static size_type | getTopIndexOffset ()
static size_type | getTopOffsetOffset ()
static size_type | getChildIndexOffset (size_type i)
static size_type | getChildInverseOffset (size_type i)

## Detailed Description

Specialization of Bottom Segment type for HDF5 external array.

## Member Function Documentation

static H5::CompType hal::BottomSegmentType< RawH5ExternalArray >::getTypeInfo | ( | size_type | numChildren | ) | `[static]`

Return object with information for arrays containing bottom segments.

The documentation for this struct was generated from the following files:

- hdf5_impl/hdf5BottomSegmentType.h
- hdf5_impl/hdf5TopSegmentType.h

All Classes Namespaces Functions Variables Typedefs Friends